### Hierarchy

- ConsumeOptions

## Index

### Properties

- cacheElements
- leaveOpen

## Properties

### Optional cacheElements

cacheElements: undefined | false | true

- Defined in fn/consume.ts:22

Indicates whether iterated elements should be cached for subsequent iterations.

### Optional leaveOpen

leaveOpen: undefined | false | true

- Defined in fn/consume.ts:25

Indicates whether to leave the iterator open when the iterable returns.

Generated using TypeDoc